package morechart.chart.renderer

import org.w3c.dom.Document

/** Like [[org.jfree.chart.renderer.PaintScale]] but for SVG.
 *
 * @author myst3r10n
 */
trait SVGScale {

  /** @see [[org.jfree.chart.renderer.PaintScale]]. */
  def lowerBound: Double

  /** @see [[org.jfree.chart.renderer.PaintScale]]. */
  def upperBound: Double

  /** @see [[org.jfree.chart.renderer.PaintScale]]. */
  def svg(value: Double): Document

}

